Subject: [art] X-Face, Face and X-Image-URL header fields

From: Julien ÉLIE <[email-masked]>
Date: Sat, 24 Sep 2016 22:17:29 +0200

Hi,

Couldn't the Message Headers IANA registry at 
<http://www.iana.org/assignments/message-headers/message-headers.xhtml> 
reference the following three header fields used in mail and news messages?

* X-Face for a black & white image
* Face for a coloured image
* X-Image-URL for a link to an image

What astonishes me is that there is not much specification about them in 
the Internet.  I found information in Emacs and gnus documentation, but 
I am unsure it is enough to be referenced in the above IANA registry:

http://quimby.gnus.org/circus/face/
https://www.gnu.org/software/emacs/manual/html_node/gnus/X_002dFace.html
https://www.gnu.org/software/emacs/manual/html_node/mh-e/Viewing.html

Are you aware of any better specification?  (Any Internet-Draft?)  Were 
these header fields already discussed in an ART WG?

-- 
Julien ÉLIE

« Un voyage de mille lieues commence toujours par un premier pas. »
   (Lao Zi)

---

From: Steve Atkins <[email-masked]>
Date: Sun, 25 Sep 2016 07:09:45 -0700

> On Sep 24, 2016, at 1:17 PM, Julien ÉLIE <[email-masked]> wrote:
> 
> Hi,
> 
> Couldn't the Message Headers IANA registry at <http://www.iana.org/assignments/message-headers/message-headers.xhtml> reference the following three header fields used in mail and news messages?
> 
> What astonishes me is that there is not much specification about them in the Internet.  I found information in Emacs and gnus documentation, but I am unsure it is enough to be referenced in the above IANA registry:
> 
> Are you aware of any better specification?  

http://www.cs.indiana.edu/ftp/faces/index.html has more support for them. There might be a spec in there somewhere, but I suspect that the implementation by compface is what defines it.

> (Any Internet-Draft?)

Not that I know of, though they've been mentioned in lists of non-standard headers several times.

>  Were these header fields already discussed in an ART WG?

Not that I recall. Any discussion of them would probably touch on picons and gravatars too.

Cheers,
  Steve

---

From: [email-masked] (Dale R. Worley)
Date: Mon, 26 Sep 2016 10:48:09 -0400

> * X-Image-URL for a link to an image

I doubt there has been any attempt to specify them.  Certainly the ones
starting with "X-" were considered experimental by whoever invented
them.

If I read the IANA page correctly, the registration procedures for
headers are specified in RFC 3864, section 4.

Dale